Name: xfce4-session
Version: 4.4.3
Release: alt0.M41.1

Summary: Session manager for XFce desktop environment
License: GPL
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
# session iconf from Ubuntu
Source1: %name-pixmaps.tar.bz2
Patch0: xfce4-session-asneeded.patch
Patch1: alt-xfce4-session-pixmaps.patch
# from Ubuntu
Patch11: 00_logout_dialog.patch
Patch12: 03_default_config.patch

# ALT
Patch20: xfce4-session-4.4.1-alt-fix.patch
Patch21: xfce4-session-ru-update.patch
Patch22: xfce4-session-shutdown-l10n-fix.patch

# Automatically added by buildreq on Sun Nov 09 2008
BuildRequires: gcc-c++ iceauth imake intltool libSM-devel libdbus-glib-devel xfce4-dev-tools xorg-cf-files
BuildRequires: xfce-mcs-manager-devel >= %version

%description
%name is the session manager for the XFce desktop environment.

%package -n libxfsm
Summary: Library for XFce session manager plugins
Group: Development/C
License: GPL

%description -n libxfsm
This package contains library for XFce session manager.

%package devel
Summary: Development files to build XFce session manager plugins
Group: Development/C
License: GPL
PreReq: libxfsm = %version-%release

%description devel
This package contains files to develop plugins for XFce session manager.

%package engines
Summary: Additional splash screen engines for XFce session manager
Group: Graphical desktop/XFce
License: GPL
PreReq: %name = %version-%release

%description engines
Additional splash screen engines for XFce session manager.

%prep
%setup -a1
%patch0 -p1
%patch1 -p1

# from Ubuntu
%patch11 -p1
%patch12 -p1

# ALT
%patch20 -p1
%patch21 -p1
%patch22 -p1

%build
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
	--disable-gnome \
	--enable-dbus \
	--enable-session-screenshots \
	--enable-final
%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%post
%_bindir/gtk-update-icon-cache
%postun
%_bindir/gtk-update-icon-cache

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL AUTHORS
%dir %_sysconfdir/xdg/xfce4-session
%config (noreplace) %_sysconfdir/xdg/xfce4-session/*
%_sysconfdir/xdg/autostart/xfce4-tips-autostart.desktop
%_bindir/*
%dir %_libdir/xfce4/splash
%dir %_libdir/xfce4/splash/engines
%_libdir/xfce4/splash/engines/libmice.so
%exclude %_libdir/xfce4/splash/engines/*.la
%_libexecdir/xfsm*
%_libdir/xfce4/mcs-plugins/*.so
%exclude %_libdir/xfce4/mcs-plugins/*.la
%_datadir/xfce4/doc/*/*.html
%_datadir/xfce4/doc/*/images/*
%dir %_datadir/xfce4/tips
%_datadir/xfce4/tips/*
%_desktopdir/*
%_iconsdir/hicolor/*/apps/*
%_mandir/man?/*

%files -n libxfsm
%_libdir/lib*.so.*

%files devel
%_includedir/xfce4/%name-4.2
%_libdir/lib*.so
%exclude %_libdir/lib*.a
%exclude %_libdir/xfce4/mcs-plugins/*.a
%_pkgconfigdir/*.pc

%files engines
%_datadir/themes/Default/balou/*
%_libdir/xfce4/splash/engines/libbalou.so
%_libdir/xfce4/splash/engines/libsimple.so
%exclude %_libdir/xfce4/splash/engines/lib*.a
%_libexecdir/balou*

%changelog
* Fri Jan 02 2009 George Kirik <kga@altlinux.ru> 4.4.3-alt0.M41.1
- backport Xfce 4.4.3 from Sisyphus to branch 4.1

* Sun Nov 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 4.4.3-alt1
- Xfce 4.4.3 release

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Mon Oct 15 2007 Igor Zubkov <icesik@altlinux.org> 4.4.1-alt1.1
- NMU
  + fix build with new intltool

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- add patches from Ubuntu 7.04
- add images from Ubuntu 7.04

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Wed Oct 25 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt2
- fix x86_64

* Wed Sep 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- new version 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
